package demo.flatbutton;

import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.Insets;
import java.text.ParseException;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.UIManager;
import javax.swing.border.TitledBorder;

import de.javasoft.plaf.synthetica.SyntheticaBlackEyeLookAndFeel;

public class FlatButtonDemo extends JFrame
{
  public static void main(String[] args) throws Exception
  {
    UIManager.setLookAndFeel(new SyntheticaBlackEyeLookAndFeel(){
      //since V2.12.1
      @Override
      protected void loadCustomXML() throws ParseException
      {
        loadXMLConfig("/demo/flatbutton/custom.xml");
      }
    });    
    //UIManager.put("Synthetica.button.border.FlatButton", "/demo/flatbutton/resources/dummy.png");

    EventQueue.invokeLater(new Runnable()
    {      
      public void run()
      {
        new FlatButtonDemo();
      }
    });
  }

  public FlatButtonDemo()
  {
    super();
    setTitle(this.getClass().getSimpleName());

    JPanel p1 = new JPanel();
    p1.setBorder(new TitledBorder("Regular Button Style"));
    p1.add(createButton("New", "newDocument.png", false));
    p1.add(createButton("Download", "download.png", false));
    add(p1, BorderLayout.NORTH);

    JPanel p2 = new JPanel();
    p2.setBorder(new TitledBorder("Flat Button Style"));
    p2.add(createButton("New", "newDocument.png", true));
    p2.add(createButton("Download", "download.png", true));
    add(p2, BorderLayout.SOUTH);
    
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);      
    setSize(300, 200);
    setLocationRelativeTo(null);
    setVisible(true);
  }  

  private JButton createButton(String text, String icon, boolean flat)
  {
    JButton button = new JButton(text, new ImageIcon(getClass().getResource("/demo/flatbutton/resources/" + icon)));
    if (flat)
      //apply button style
      button.setName("FlatButton");
    //reduce default margin
    button.setMargin(new Insets(0,0,0,0));
    button.setFocusPainted(false);
    return button;
  }
}
